Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 232310 - Extract method doesn't honor formatting settings
Extract method doesn't honor formatting settings
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.4
PC Windows 7
: P3 with 1 vote (vote)
: 7.4
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 15:54 UTC by misterm
Modified: 2013-07-12 02:31 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description misterm 2013-07-05 15:54:37 UTC
If Ordering -> Insertion Point is Caret Location, extract method ignores it.

Product Version = NetBeans IDE Dev (Build 20130703-4ccc4c622a55)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_07
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.3-b01
Comment 1 Jan Lahoda 2013-07-09 15:11:10 UTC
Should be fixed by:
http://hg.netbeans.org/jet-main/rev/f7ab49bd0bce

Please verify once it is part of daily builds.
Comment 2 Quality Engineering 2013-07-12 02:31:18 UTC
Integrated into 'main-silver', will be available in build *201307112300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f7ab49bd0bce
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #232310: ensure the introduced fields/methods are placed based on the user's preferences.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo